(function()
{
 "use strict";
 /*
   hook up event handlers 
 */
 function register_event_handlers()
 {
    
    
     /* button  #menu_button */
    $(document).on("click", "#menu_button", function(evt)
    {
         /* Other possible functions are: 
           uib_sb.open_sidebar($sb)
           uib_sb.close_sidebar($sb)
           uib_sb.toggle_sidebar($sb)
            uib_sb.close_all_sidebars()
          See js/sidebar.js for the full sidebar API */
        
         uib_sb.toggle_sidebar($("#menu"));  
    });
    

    
        /* button  #search_button_inline */
    $(document).on("click", "#search_button_inline", function(evt)
    {
        var make = document.getElementById("make").value;
        var make_small = make.toLowerCase(); 
        var model = document.getElementById("model").value;
        var model_small = model.toLowerCase();
        if (make === "Select Make" || model === "Select Model")
        {
            alert("Select make and model");
        }else
        {
        
                activate_subpage("#search_results"); 
            
                //var fuel = document.getElementById("fuel").value;
                var minyear = document.getElementById("min_year").value;
                //var maxyear = document.getElementById("max_year").value;
                var no_of_results = document.getElementById("no_of_results").value;
                
                
                var xmlHttp = null;
                var theUrl = 'http://carreview.carmarketcyprus.com/cgi-bin/search.cgi?make='+make+'&model='+model+'&minyear='+minyear+'&results='+no_of_results;
				var list ='';
                xmlHttp = new XMLHttpRequest();
                xmlHttp.open( "GET", theUrl, false );
                xmlHttp.send( null );
                
                var resp = xmlHttp.responseText;
				var data = resp.split("***");
                //alert(data.length);
            
                if (data.length == 1) /* If results not found in local database get from edmunds.com */
                {
                    var xmlHttp2 = null;
                    var theUrl2 = 'https://api.edmunds.com/api/vehiclereviews/v2/'+make_small+'/'+model_small+'/'+minyear+'?fmt=json&api_key=85r7zr24t5xbnf358p45xt32';
				
                    xmlHttp2 = new XMLHttpRequest();
                    xmlHttp2.open( "GET", theUrl2, false );
                    xmlHttp2.send( null );
                
                    var resp2 = xmlHttp2.responseText;
				    var get_reviews = resp2.split('"id":');
                    //alert(get_reviews.length);
                    if (get_reviews.length == 1)
                    {
                        //alert("not found");
                        var overall_list = '';
                        overall_list = '<tr><td align="center"><span style="font-family: sans-serif; font-size: 14px; color: #B01C2B; font-weight: bold; text-align: center;">'+make+'&nbsp;'+model+'</span></td></tr><tr><td align="center">Overall Average Rating:&nbsp;N/A</td></tr><div style="margin-left:20px;"></div><hr class="separator"/>';
                        
                        list = '<tr><td align="center"><span style="font-family: sans-serif; font-size: 14px; color: #B01C2B; font-weight: bold; text-align: center;">No reviews found!</span></td></tr><hr class="separator"/>';
        
                        document.getElementById("overall").innerHTML = overall_list;
                        document.getElementById("results").innerHTML = list;
                        
                    }else
                    {
                        //alert("edmunds");
                        var rating_sum = 0;
                        var count = 0;
                        //console.log('NO_OF_REVIEWS='+get_reviews.length+'-----');
                        for (var i = 1; i < get_reviews.length; i++) {
                            var details = get_reviews[i].split('"');
                            var ratings_engine = details[56].substring(details[56].lastIndexOf(":")+1,details[56].lastIndexOf("}"));
                            var ratings_quality = details[92].substring(details[92].lastIndexOf(":")+1,details[92].lastIndexOf("}"));
                            var ratings_daily = details[74].substring(details[74].lastIndexOf(":")+1,details[74].lastIndexOf("}"));
                            var review_text = details[33];
                            var review_text_cleared = review_text.replace(/'/g," ");
                        
                            if (parseFloat(ratings_engine) || parseFloat(ratings_quality) || parseFloat(ratings_daily))
                            {
                                var xmlHttps = null;
                                var addUrl = 'http://carreview.carmarketcyprus.com/cgi-bin/add_from_search_review.cgi?make='+make+'&model='+model+'&year='+minyear+'&engine_rating='+parseInt(ratings_engine)*2+'&quality_rating='+parseInt(ratings_quality)*2+'&daily_rating='+parseInt(ratings_daily)*2+'&review='+review_text_cleared;
				
                                xmlHttps = new XMLHttpRequest();
                                xmlHttps.open( "GET", addUrl, false );
                                xmlHttps.send( null );
                                var reviewidnew = xmlHttps.responseText;
                            
                                //console.log(reviewidnew+'---'+addUrl);
                            
                                var local_rating_sum = (parseFloat(ratings_engine)*2) + (parseFloat(ratings_quality)*2) + (parseFloat(ratings_daily)*2);
                                var local_average_rating = (local_rating_sum / 3).toFixed(1);
                                rating_sum = parseFloat(rating_sum) + parseFloat(local_average_rating);
                        
                                list += '<tr onclick="show_review('+reviewidnew+');"><td width="10%">&nbsp;&nbsp;#'+i+'</td><td width="45%"><span style="font-family: sans-serif; font-size: 12px; color: #000;"><div align="center">Build Year:<p style="font-family: sans-serif; font-size: 12px; color: #B01C2B;">&nbsp;'+minyear+'</p></div></span></td><td width="45%"><span style="font-family: sans-serif; font-size: 12px; color: #000; text-align: center;"><div align="center">Average Rating:<p style="font-family: sans-serif; font-size: 12px; color: #B01C2B;">&nbsp;'+local_average_rating+'</p></div></span></td></tr><tr><td colspan="3"><hr></td></tr>';

                                count++;
                                //console.log('-----REVIEW='+i+'---->'+get_reviews[i]);
                                //console.log('-----REVIEW_RATING='+i+'---'+details[56]+'---'+ratings_engine+'---'+ratings_quality+'---'+ratings_daily);
                                //console.log('-----REVIEW='+i+'---->'+details[33]);
                            }
                            
                            
                            
                        }
                        
                        if (count == 0)
                        {
                                //alert("not found");
                                var overall_list = '';
                                overall_list = '<tr><td align="center"><span style="font-family: sans-serif; font-size: 14px; color: #B01C2B; font-weight: bold; text-align: center;">'+make+'&nbsp;'+model+'</span></td></tr><tr><td align="center">Overall Average Rating:&nbsp;N/A</td></tr><div style="margin-left:20px;"></div><hr class="separator"/>';
                        
                                list = '<tr><td align="center"><span style="font-family: sans-serif; font-size: 14px; color: #B01C2B; font-weight: bold; text-align: center;">No reviews found!</span></td></tr><hr class="separator"/>';
        
                                document.getElementById("overall").innerHTML = overall_list;
                                document.getElementById("results").innerHTML = list;
                        
                        }else
                        {
                    
                            var average_rating = (rating_sum / (count)).toFixed(1);
            
                            var overall_list = '';
                            overall_list = '<tr><td align="center"><span style="font-family: sans-serif; font-size: 14px; color: #B01C2B; font-weight: bold; text-align: center;">'+make+'&nbsp;'+model+'</span></td></tr><tr><td align="center">Overall Average Rating:&nbsp;'+average_rating+'</td></tr><div style="margin-left:20px;"><div class="basic" data-average="'+average_rating+'" data-id="1"></div></div><hr class="separator"/>';
        
                            document.getElementById("overall").innerHTML = overall_list;
                            document.getElementById("results").innerHTML = list;
                        }
                    }
                    $(".basic").jRating({isDisabled:true,decimalLength:1,showRateInfo:true,length:10,type:'big',bigStarsPath:'images/icons/stars.png',smallStarsPath:'images/icons/small.png',rateMax:10});
                    
                   
                }else
                {
                    //alert("local");
                    var rating_sum = 0;
				    //alert(resp);
				    for (var i = 0; i < data.length-1; i++) {
				        //alert(data[i]);	
                        var review = data[i].split("::");
                        var display_num = i+1;
                        var local_rating_sum = parseInt(review[4]) + parseInt(review[5]) + parseInt(review[6]);
                        var local_average_rating = (local_rating_sum / 3).toFixed(1);
                        rating_sum = parseFloat(rating_sum) + parseFloat(local_average_rating);
                    
                        list += '<tr onclick="show_review('+review[0]+');"><td width="10%">&nbsp;&nbsp;#'+display_num+'</td><td width="45%"><span style="font-family: sans-serif; font-size: 12px; color: #000;"><div align="center">Build Year:<p style="font-family: sans-serif; font-size: 12px; color: #B01C2B;">&nbsp;'+review[3]+'</p></div></span></td><td width="45%"><span style="font-family: sans-serif; font-size: 12px; color: #000; text-align: center;"><div align="center">Average Rating:<p style="font-family: sans-serif; font-size: 12px; color: #B01C2B;">&nbsp;'+local_average_rating+'</p></div></span></td></tr><tr><td colspan="3"><hr></td></tr>';
                    
				    }
                
                    var average_rating = (rating_sum / (data.length-1)).toFixed(1);
                
                    var overall_list = '';
                    overall_list = '<tr><td align="center"><span style="font-family: sans-serif; font-size: 14px; color: #B01C2B; font-weight: bold; text-align: center;">'+make+'&nbsp;'+model+'</span></td></tr><tr><td align="center">Overall Average Rating:&nbsp;'+average_rating+'</td></tr><div style="margin-left:20px;"><div class="basic" data-average="'+average_rating+'" data-id="1"></div></div><hr class="separator"/>';
        
                    document.getElementById("overall").innerHTML = overall_list;
                    document.getElementById("results").innerHTML = list;
        $(".basic").jRating({isDisabled:true,decimalLength:1,showRateInfo:true,length:10,type:'big',bigStarsPath:'images/icons/stars.png',smallStarsPath:'images/icons/small.png',rateMax:10});
                }
                    
        }
    });
    
        /* listitem  #exit */
    $(document).on("click", "#exit", function(evt)
    {
        navigator.app.exitApp(); 
    });
    
    }
 document.addEventListener("app.Ready", register_event_handlers, false);
})();
