cordova.define('cordova/plugin_list', function(require, exports, module) {
module.exports = [
    {
        "file": "plugins/org.apache.cordova.network-information/www/network.js",
        "id": "org.apache.cordova.network-information.network",
        "clobbers": [
            "navigator.connection",
            "navigator.network.connection"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.network-information/www/Connection.js",
        "id": "org.apache.cordova.network-information.Connection",
        "clobbers": [
            "Connection"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.splashscreen/www/splashscreen.js",
        "id": "org.apache.cordova.splashscreen.SplashScreen",
        "clobbers": [
            "navigator.splashscreen"
        ]
    },
    {
        "file": "plugins/com.intel.security/www/services.js",
        "id": "com.intel.security.Services",
        "clobbers": [
            "intel.security"
        ]
    },
    {
        "file": "plugins/com.intel.xdk.base/www/base.js",
        "id": "com.intel.xdk.base.base",
        "merges": [
            "intel.xdk"
        ]
    },
    {
        "file": "plugins/com.intel.xdk.base/www/device.js",
        "id": "com.intel.xdk.base.base-device",
        "merges": [
            "intel.xdk.device"
        ]
    },
    {
        "file": "plugins/com.intel.xdk.cache/www/cache.js",
        "id": "com.intel.xdk.cache.cache",
        "clobbers": [
            "intel.xdk.cache"
        ]
    },
    {
        "file": "plugins/com.intel.xdk.device/www/device.js",
        "id": "com.intel.xdk.device.device",
        "merges": [
            "intel.xdk.device"
        ]
    },
    {
        "file": "plugins/com.intel.xdk.device/www/RemoteDataParameters.js",
        "id": "com.intel.xdk.device.device-RemoteDataParameters",
        "merges": [
            "intel.xdk.device"
        ]
    },
    {
        "file": "plugins/com.intel.xdk.device/www/android/device.js",
        "id": "com.intel.xdk.device.android-device",
        "merges": [
            "intel.xdk.device"
        ]
    },
    {
        "file": "plugins/com.intel.xdk.display/www/display.js",
        "id": "com.intel.xdk.display.display",
        "clobbers": [
            "intel.xdk.display"
        ]
    },
    {
        "file": "plugins/com.phonegap.plugins.twitter/www/TwitterPlugin.js",
        "id": "com.phonegap.plugins.twitter.TwitterPlugin",
        "clobbers": [
            "Twitter"
        ]
    },
    {
        "file": "plugins/com.rjfun.cordova.plugin.admob/www/AdMob.js",
        "id": "com.rjfun.cordova.plugin.admob.AdMob",
        "clobbers": [
            "window.plugins.AdMob"
        ]
    },
    {
        "file": "plugins/nl.x-services.plugins.socialsharing/www/SocialSharing.js",
        "id": "nl.x-services.plugins.socialsharing.SocialSharing",
        "clobbers": [
            "window.plugins.socialsharing"
        ]
    }
];
module.exports.metadata = 
// TOP OF METADATA
{
    "org.apache.cordova.network-information": "0.2.14",
    "org.apache.cordova.splashscreen": "0.3.5",
    "com.intel.security": "1.1.0",
    "com.intel.xdk.base": "1.0.5",
    "com.intel.xdk.cache": "1.0.0",
    "com.intel.xdk.device": "1.0.7",
    "com.intel.xdk.display": "1.0.1",
    "com.phonegap.plugins.twitter": "0.5.0",
    "com.google.admobsdk": "6.12.2",
    "com.rjfun.cordova.plugin.admob": "2.1.7",
    "nl.x-services.plugins.socialsharing": "4.3.17",
    "com.google.playservices": "19.0.0"
}
// BOTTOM OF METADATA
});