(function()
{
 "use strict";
 /*
   hook up event handlers 
 */
 function register_event_handlers()
 {
    
    
     /* button  #menu_button */
    $(document).on("click", "#menu_button", function(evt)
    {
         /* Other possible functions are: 
           uib_sb.open_sidebar($sb)
           uib_sb.close_sidebar($sb)
           uib_sb.toggle_sidebar($sb)
            uib_sb.close_all_sidebars()
          See js/sidebar.js for the full sidebar API */
        
         uib_sb.toggle_sidebar($("#menu"));  
    });
    
        /* button  #submit_review_button */
    $(document).on("click", "#submit_review_button", function(evt)
    {
        var make = document.getElementById("make").value;
        var model = document.getElementById("model").value;
        
        if (make === "Select Make" || model === "Select Model")
        {
            alert("Select make and model");
        }else
        {
        
                //var fuel = document.getElementById("fuel").value;
                var year = document.getElementById("year").value;
                var engine_rating = document.getElementById("engine_rating").value;
                var quality_rating = document.getElementById("quality_rating").value;
                var daily_rating = document.getElementById("daily_rating").value;
                var review = document.getElementById("review").value;
                var xmlHttp = null;
                var theUrl = 'http://carreview.carmarketcyprus.com/cgi-bin/submitreview.cgi?make='+make+'&model='+model+'&year='+year+'&engine_rating='+engine_rating+'&quality_rating='+quality_rating+'&daily_rating='+daily_rating+'&review='+review;
				
                xmlHttp = new XMLHttpRequest();
                xmlHttp.open( "GET", theUrl, false );
                xmlHttp.send( null );
              
                var resp = xmlHttp.responseText;
                //alert(resp);
                if (resp == "done")
                {
                    alert("Thank you for your review");
                    uib_sb.open_sidebar($("#menu"));
                }
            
                
        }

    });
    
        /* listitem  #exit */
    $(document).on("click", "#exit", function(evt)
    {
        navigator.app.exitApp();
    });
    
    }
 document.addEventListener("app.Ready", register_event_handlers, false);
})();
